﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
using DALWebApi.Interfaces;

namespace DALWebApi.Repositories
{
    public class WebApiRepository<T> : IWebApiRepository<T>, IDisposable
        where T: class
    {
        protected HttpClient WebClient = new HttpClient();
        public WebApiRepository(string baseUrl)
        {
            WebClient.BaseAddress = new Uri(baseUrl);
            WebClient.DefaultRequestHeaders.Accept.Clear();
            WebClient.DefaultRequestHeaders.Accept.Add(
                new MediaTypeWithQualityHeaderValue("application/json")
                );
        }


        public List<T> All {
            get
            {
                var response = WebClient.GetAsync("").Result;
                return 
                    response.IsSuccessStatusCode ? 
                    response.Content.ReadAsAsync<List<T>>().Result : 
                    new List<T>();
            }
        }
        public T GetById(object id)
        {
            throw new NotImplementedException();
        }

        public void Add(T entity)
        {
            throw new NotImplementedException();
        }

        public void Update(object id, T entity)
        {
            throw new NotImplementedException();
        }

        public void Delete(object id)
        {
            throw new NotImplementedException();
        }

        public void Dispose()
        {
            WebClient.Dispose();
        }

    }
}
